-- Init file of "Heroes" mod, version 1.1
-- Feel free to study and use any part of the source code.
--
-- Made by ImpassIve_rus

module(...)


mod_enabled = false
heroes = {} --List of all knights with parameters
ranks = {} --List of all current ranks (will be saved between games)
deaths = false --Did the game already started?
barb_gems = {}


dofile("pre_func.lua")  --pre-declarations of some functions
dofile("config.lua") --constants and other
dofile("ranks.lua") --constants and other
dofile("funcs.lua")  --basic functions
dofile("sprites.lua")  --gfx & sounds
dofile("itemsmobs.lua") --new items (such as reviving gems) and mobs
dofile("main.lua") --functions to be called during game
dofile("menu.lua") --menu configuration

local T = require("toolbox")
T.RegisterMod("heroes", 1.1, ...)